summaryrefslogtreecommitdiffstats
path: root/abs/core/nfs-utils
diff options
context:
space:
mode:
authorMichael Hanson <hansonorders@verizon.net>2010-11-19 03:47:52 (GMT)
committerMichael Hanson <hansonorders@verizon.net>2010-11-19 03:47:52 (GMT)
commit9f51efea621f043b6200ebba0201f44a618c9b0b (patch)
tree3ebdac3b11ba2d477f739215a05f07720b072b41 /abs/core/nfs-utils
parent5ffe3a08016afc9dca6a4691630c9590adcf2f43 (diff)
downloadlinhes_pkgbuild-9f51efea621f043b6200ebba0201f44a618c9b0b.zip
linhes_pkgbuild-9f51efea621f043b6200ebba0201f44a618c9b0b.tar.gz
linhes_pkgbuild-9f51efea621f043b6200ebba0201f44a618c9b0b.tar.bz2
Nightly housekeeping
Diffstat (limited to 'abs/core/nfs-utils')
-rw-r--r--abs/core/nfs-utils/nfs.conf.d20
-rwxr-xr-xabs/core/nfs-utils/nfsd91
-rwxr-xr-xabs/core/nfs-utils/nfslock50
3 files changed, 0 insertions, 161 deletions
diff --git a/abs/core/nfs-utils/nfs.conf.d b/abs/core/nfs-utils/nfs.conf.d
deleted file mode 100644
index 73e396a..0000000
--- a/abs/core/nfs-utils/nfs.conf.d
+++ /dev/null
@@ -1,20 +0,0 @@
-# Number of servers to be started up by default
-NFSD_OPTS=8
-
-# Options to pass to rpc.mountd
-# e.g. MOUNTDOPTS="-p 32767"
-MOUNTD_OPTS="--no-nfs-version 1 --no-nfs-version 2"
-
-# Options to pass to rpc.statd
-# N.B. statd normally runs on both client and server, and run-time
-# options should be specified accordingly. Specifically, the Arch
-# NFS init scripts require the --no-notify flag on the server,
-# but not on the client e.g.
-# STATD_OPTS="--no-notify -p 32765 -o 32766" -> server
-# STATD_OPTS="-p 32765 -o 32766" -> client
-STATD_OPTS=""
-
-# Options to pass to sm-notify
-# e.g. SMNOTIFY_OPTS="-p 32764"
-SMNOTIFY_OPTS=""
-
diff --git a/abs/core/nfs-utils/nfsd b/abs/core/nfs-utils/nfsd
deleted file mode 100755
index ce891e2..0000000
--- a/abs/core/nfs-utils/nfsd
+++ /dev/null
@@ -1,91 +0,0 @@
-#!/bin/bash
-
-# source application-specific settings
-[ -f /etc/conf.d/nfs ] && . /etc/conf.d/nfs
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-DAEMON_NAME=nfsd
-NFSD_PID=`pidof -o %PPID nfsd`
-MOUNTD_PID=`pidof -o %PPID /usr/sbin/rpc.mountd`
-case "$1" in
- start)
- stat_busy "Starting $DAEMON_NAME"
- # Check for portmap
- if [ ! -f /var/run/daemons/portmap ]; then
- echo "ERROR: portmap is not running"
- stat_fail
- exit 1
- fi
- # Check for nfslock
- if [ ! -f /var/run/daemons/nfslock ]; then
- echo "ERROR: nfslock is not running"
- stat_fail
- exit 1
- fi
- # Check for /proc/fs/nfsd
- if grep -qs nfsd /proc/filesystems ; then
- if ! grep -qs "nfsd /proc/fs/nfsd" /proc/mounts ; then
- mount -t nfsd -o nodev,noexec,nosuid nfsd /proc/fs/nfsd
- fi
- fi
- # Run exportfs
- /usr/sbin/exportfs -r
- # Run mountd
- [ -z "$MOUNTD_PID" ] && /usr/sbin/rpc.mountd $MOUNTD_OPTS
- if [ $? -gt 0 ]; then
- stat_fail
- exit 1
- else
- echo `pidof -o %PPID /usr/sbin/rpc.mountd` > /var/run/rpc.mountd.pid
- fi
- # Run nfsd
- [ -z "$NFSD_PID" ] && /usr/sbin/rpc.nfsd $NFSD_OPTS
- if [ $? -gt 0 ]; then
- stat_fail
- exit 1
- else
- echo `pidof -o %PPID nfsd` > /var/run/rpc.nfsd.pid
- fi
- # Run sm-notify
- /usr/sbin/sm-notify $SMNOTIFY_OPTS
- add_daemon $DAEMON_NAME
- stat_done
- ;;
-
- stop)
- stat_busy "Stopping $DAEMON_NAME"
- [ ! -z "$MOUNTD_PID" ] && kill $MOUNTD_PID &> /dev/null
- if [ $? -gt 0 ]; then
- stat_fail
- exit 1
- else
- rm /var/run/rpc.mountd.pid &> /dev/null
- fi
- sleep 1
- [ ! -z "$NFSD_PID" ] && kill $NFSD_PID &> /dev/null
- if [ $? -gt 0 ]; then
- stat_fail
- exit 1
- else
- kill -9 $NFSD_PID &> /dev/null
- rm /var/run/rpc.nfsd.pid &> /dev/null
- fi
- if [ "$RUNLEVEL" = "0" ]; then
- /usr/sbin/exportfs -au
- fi
- rm_daemon $DAEMON_NAME
- stat_done
- ;;
-
- restart)
- $0 stop
- sleep 2
- $0 start
- ;;
-
- *)
- echo "usage: $0 {start|stop|restart}"
-esac
-exit 0
diff --git a/abs/core/nfs-utils/nfslock b/abs/core/nfs-utils/nfslock
deleted file mode 100755
index f25ab3c..0000000
--- a/abs/core/nfs-utils/nfslock
+++ /dev/null
@@ -1,50 +0,0 @@
-#!/bin/bash
-
-# source application-specific settings
-[ -f /etc/conf.d/nfs ] && . /etc/conf.d/nfs
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-DAEMON_NAME=nfslock
-PID=`pidof -o %PPID /usr/sbin/rpc.statd`
-case "$1" in
- start)
- stat_busy "Starting $DAEMON_NAME"
- # Check for /proc/fs/nfsd
- if grep -qs nfsd /proc/filesystems ; then
- if ! grep -qs "nfsd /proc/fs/nfsd" /proc/mounts ; then
- mount -t nfsd -o nodev,noexec,nosuid nfsd /proc/fs/nfsd
- fi
- fi
- [ -z "$PID" ] && /usr/sbin/rpc.statd $STATD_OPTS
- if [ $? -gt 0 ]; then
- stat_fail
- else
- echo `pidof rpc.statd` > /var/run/rpc.statd.pid
- stat_done
- add_daemon $DAEMON_NAME
- fi
- ;;
-
- stop)
- stat_busy "Stopping $DAEMON_NAME"
- [ ! -z "$PID" ] && kill $PID &> /dev/null
- if [ $? -gt 0 ]; then
- stat_fail
- else
- rm /var/run/rpc.statd.pid &> /dev/null
- rm_daemon $DAEMON_NAME
- stat_done
- fi
- ;;
-
- restart)
- $0 stop
- sleep 1
- $0 start
- ;;
- *)
- echo "usage: $0 {start|stop|restart}"
-esac
-exit 0